POST /call_dispositions

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/call_dispositions

Create Call Disposition.

Creates a Call Disposition with a unique key and name. If a soft-deleted disposition with the same key already exists, it is restored and updated instead of creating a duplicate.

Params

Param name Description
key
Required

The internal token name where values are stored.

  • Must be a String

name
Required

The friendly human name displayed to users.

  • Must be a String

hint
Optional Blank value allowed

Display a helpful hint to users explaining the purpose of this disposition.

  • Must be a String

show_on_agent_widget
Optional Blank value allowed

Show this disposition on the agent widget?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

show_in_tables
Optional Blank value allowed

Show this disposition as a column on tables?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

show_in_reports
Optional Blank value allowed

Show this disposition as a column on reports?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

apply_call_answered
Optional Blank value allowed

Mark the call as having been answered?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

apply_agent_handled
Optional Blank value allowed

Mark the call as having been handled by an agent?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

apply_buyer_handled
Optional Blank value allowed

Mark the call as having been handled by a buyer?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

apply_qualified
Optional Blank value allowed

Mark the call as having been qualified?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

apply_end_of_schedule
Optional Blank value allowed

Trigger the end of schedule when selecting this disposition?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

apply_block_caller
Optional Blank value allowed

Block the caller when selecting this disposition?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

apply_auto_next_lead
Optional Blank value allowed

Automatically move to the next lead after selecting this disposition?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

notes_required
Optional Blank value allowed

Require the agent to write notes about this call?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

call_action_leave_voicemail
Optional Blank value allowed

When enabled, applying this disposition plays a recorded voicemail message to the caller.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

call_action_apply_opt_out
Optional Blank value allowed

When enabled, applying this disposition opts the caller out of future contact.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

apply_machine_detected
Optional Blank value allowed

When enabled, applying this disposition marks the call as having reached an answering machine.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

apply_add_to_schedule_suppression
Optional Blank value allowed

When enabled, applying this disposition adds the lead’s number to its schedule’s suppression list.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

reuse_conference
Optional Blank value allowed

When enabled, applying this disposition keeps the existing conference open instead of ending it.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

delete_scheduled_callbacks
Optional Blank value allowed

When enabled, applying this disposition deletes any scheduled callbacks for the caller on this offer.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

schedule_callback_now
Optional Blank value allowed

When enabled, applying this disposition immediately schedules a callback for the lead instead of its normal callback timing.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

scheduled_callback_chance
Optional Blank value allowed

The percent chance, 0-100, that a waiting scheduled callback is placed instead of the next lead after auto next lead runs.

  • Must be a decimal number.

use_when_blank
Optional Blank value allowed

When enabled, this disposition is automatically applied to any call that ends without one chosen. Only one disposition per company can have this enabled.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

schedule_id
Optional Blank value allowed

The schedule whose actions run when this disposition is applied to a call.

external_record_id
Optional Blank value allowed

An external identifier to associate with this disposition.

  • Must be a String

text_color
Optional Blank value allowed

The hex color of this disposition’s button text, e.g.

  • Must be a String

background_color
Optional Blank value allowed

The hex color of this disposition’s button background, e.g.

  • Must be a String

text_shadow_color
Optional Blank value allowed

The hex color of this disposition’s button text shadow, e.g.

  • Must be a String

font_size
Optional Blank value allowed

The font size, in pixels, of this disposition’s button label. Clamped between 5 and 30.

  • Must be a decimal number.

token_value_ids
Optional Blank value allowed

Apply these additional tokens to the call when selecting this disposition?

filter_token_value_ids
Optional Blank value allowed

Only show this disposition to agents when the call’s tokens match these. Leave blank to show it for every call.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
sortable_order
Optional Blank value allowed

The order in which records will be sorted. Values are sorted in ascending order; smaller values are listed first.

  • Must be a decimal number.